      DOUBLE PRECISION ROOT,EPSX,EPSF,ALPHA,BETA
      EXTERNAL FUN
      DIMENSION ROOT(3),ALPHA(3,3),BETA(3),NLEAD(3)
      COMMON/ZF31RR/ITER
      DATA ROOT/1.D0,1.D0,1.D0/
      N=3
      EPSX=1.D-5
      EPSF=1.D-5
      ITMAX=30
      CALL ZF31D(FUN,ROOT,N,EPSX,EPSF,ITMAX,ALPHA,BETA,NLEAD,IERR)
      PRINT 1,ROOT,ITER,IERR
    1 FORMAT(3D15.6,2I5)
      STOP
      END
      SUBROUTINE FUN(X,ALPHA,BETA)
      DOUBLE PRECISION ALPHA,BETA,X
      DIMENSION X(3),ALPHA(3,3),BETA(3)
      BETA(1)=-(X(1)+DEXP(X(1)-1)+(X(2)+X(3))**2-27)
      BETA(2)=-(X(1)*DEXP(X(2)-2)+X(3)**2-10)
      BETA(3)=-(X(3)+DSIN(X(2)-2)+X(2)**2-7)
      ALPHA(1,1)=1+DEXP(X(1)-1)
      ALPHA(1,2)=2*(X(2)+X(3))
      ALPHA(1,3)=2*(X(2)+X(3))
      ALPHA(2,1)=DEXP(X(2)-2)
      ALPHA(2,2)=X(1)*DEXP(X(2)-2)
      ALPHA(2,3)=2*X(3)
      ALPHA(3,1)=0.0D0
      ALPHA(3,2)=DCOS(X(2)-2)+2*X(2)
      ALPHA(3,3)=1.0D0
      RETURN
      END
